CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.9. CUpti_ActivityEvent Struct Reference

## [CUPTI Activity API]

This activity record represents a CUPTI event value (CUPTI_ACTIVITY_KIND_EVENT). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect event data may choose to use this type to store the collected event data.

### Public Variables

uint32_t correlationId
CUpti_EventDomainID domain
CUpti_EventID id
CUpti_ActivityKind kind
uint64_t value

### Variables

uint32_t CUpti_ActivityEvent::correlationId [inherited]

  The correlation ID of the event. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the event was gathered.

CUpti_EventDomainID CUpti_ActivityEvent::domain [inherited]

  The event domain ID.

CUpti_EventID CUpti_ActivityEvent::id [inherited]

  The event ID.

CUpti_ActivityKind CUpti_ActivityEvent::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_EVENT.

uint64_t CUpti_ActivityEvent::value [inherited]

  The event value.